# Remove-RASNotificationScript.md

## NAME

Remove-RASNotificationScript

## SYNOPSIS

Removes notification script.

## SYNTAX

\*\*Remove-RASNotificationScript -[Id](#id-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASNotificationScript -[InputObject](#inputobject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASNotificationScript \[\[-[SiteId](#siteid-string)] *(uint)*] -[Name](#name-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes existing notification script.

## PARAMETERS

## Name (string)

Script name

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the specified Notification Script.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Script ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)) Input object from pipeline or by parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASNotificationScript -Id 12

Removes notification script with Id 12.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASNotificationScript Name "script"

Removes notification script named 'script'.\
\*\*---------- EXAMPLE 3 ----------

Get-RASNotificationScript -Id 12 | Remove-RASNotificationScript

Removes notification script using pipeline object.

## RELATED LINKS

* [Get-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasnotificationscript.md)
* [New-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationscript.md)
* [Set-RASNotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasnotificationscript.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotificationscript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
